#include "Vertex.h"

/**
*	Default Vertex constructor. Sets pos and oldPos to (0,0)
*	All other values are set to default variable values
*/
Vertex::Vertex()
{
	pos = Vec2(0, 0);
	oldPos = Vec2(0, 0);
}

/**
*	Constructor for Vertex object.
*	Sets current position and old position to specified values.
*	All other values set to defaul variable values.
*	posX: x coordinate of Vertex
*	posY: y coordinate of Vertex
*/
Vertex::Vertex(float posX, float posY)
{
	pos = Vec2(posX, posY);
	oldPos = Vec2(posX, posY);
}
